1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically us if $TIFFTOPNM && $PPMTOJPEG;ing autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14ac_default_prefix=/usr/local
15ac_help="$ac_help
16  --with-perl=PATH        path/name of the Perl interpreter"
17ac_help="$ac_help
18  --with-oldconfig=PATH   use settings from this cfgcache.pm file"
19ac_help="$ac_help
20  --with-extrapath=EPATH  search for executables in EPATH, too"
21ac_help="$ac_help
22  --with-gsdevice=DEVICE  use Ghostscript portable image device
23                          (default: chosen automatically, possible choices:
24                          ppmraw,pgnmraw,pgmraw,pnmraw,pbmraw,ppm,pgnm,pnm,pbm)"
25ac_help="$ac_help
26  --with-gsalias=DEVICE   use Ghostscript portable image device for
27                          anti-aliased image rendering (default: ppmraw, pgmraw)"
28ac_help="$ac_help
29  --with-iconpath=PATH    URL to access LaTeX2HTML icons on http server"
30ac_help="$ac_help
31  --with-iconstorage=PATH path where LaTeX2HTML icons are stored"
32ac_help="$ac_help
33  --with-texpath=PATH     path where TeX include files will be installed"
34ac_help="$ac_help
35  --with-rgb=PATH         path of the system rgb.txt file"
36ac_help="$ac_help
37  --with-crayola=PATH     path of the system crayola.txt file"
38ac_help="$ac_help
39  --enable-images         add support of images (default: yes)"
40ac_help="$ac_help
41  --enable-pk             create fonts for image generation (default: no)"
42ac_help="$ac_help
43  --with-metamode=MODE    use MetaFont mode MODE for font generation"
44ac_help="$ac_help
45  --with-metadpi=DPI      the DPI resolution the MetaFont mode MODE uses"
46ac_help="$ac_help
47  --enable-eps            use EPS support in dvips if available"
48ac_help="$ac_help
49  --enable-reverse        reverse dvips output (rarely needed)"
50ac_help="$ac_help
51  --enable-gif            add support of GIF images"
52ac_help="$ac_help
53  --enable-png            add support of PNG images"
54ac_help="$ac_help
55  --enable-pipes          use pipes to connect portable bitmap programs"
56ac_help="$ac_help
57  --enable-paths          store absolute pathnames of external programs"
58ac_help="$ac_help
59  --enable-wrapper        build wrapper script to start latex2html"
60ac_help="$ac_help
61  --enable-texlive        build LaTeX2HTML for TeXlive cdrom"
62ac_help="$ac_help
63  --with-gs=PATH          path/name of the GhostScript executable"
64ac_help="$ac_help
65  --with-dvips=PATH       path/name of the dvips executable"
66ac_help="$ac_help
67  --with-latex=PATH       path/name of the LaTeX executable"
68ac_help="$ac_help
69  --with-pnmcrop=PATH     path/name of the pnmcrop executable"
70ac_help="$ac_help
71  --with-tex=PATH         path/name of the TeX executable"
72ac_help="$ac_help
73  --with-initex=PATH      path/name of the IniTeX executable"
74ac_help="$ac_help
75  --with-kpsewhich=PATH   path/name of the kpsewhich executable"
76ac_help="$ac_help
77  --with-mktexlsr=PATH    path/name of the mktexlsr (or texhash) executable"
78ac_help="$ac_help
79  --with-validator=PATH   path/name of a HTML validator executable"
80ac_help="$ac_help
81  --with-pnmflip=PATH     path/name of the pnmflip executable"
82ac_help="$ac_help
83  --with-ppmquant=PATH    path/name of the ppmquant executable"
84ac_help="$ac_help
85  --with-pnmfile=PATH     path/name of the pnmfile executable"
86ac_help="$ac_help
87  --with-pnmcat=PATH      path/name of the pnmcat executable"
88ac_help="$ac_help
89  --with-pnmcut=PATH      path/name of the pnmcut executable"
90ac_help="$ac_help
91  --with-pnmpad=PATH      path/name of the pnmpad executable"
92ac_help="$ac_help
93  --with-pnmrotate=PATH      path/name of the pnmrotate executable"
94ac_help="$ac_help
95  --with-pnmscale=PATH      path/name of the pnmscale executable"
96ac_help="$ac_help
97  --with-pbmmake=PATH     path/name of the pbmmake executable"
98ac_help="$ac_help
99  --with-ppmtogif=PATH    path/name of the ppmtogif executable"
100ac_help="$ac_help
101  --with-pnmtopng=PATH    path/name of the pnmtopng executable"
102ac_help="$ac_help
103  --with-tifftopnm=PATH    path/name of the tifftopnm executable"
104ac_help="$ac_help
105  --with-picttoppm=PATH    path/name of the picttoppm executable"
106ac_help="$ac_help
107  --with-anytopnm=PATH    path/name of the anytopnm executable"
108ac_help="$ac_help
109  --with-bmptopnm=PATH    path/name of the bmptopnm executable"
110ac_help="$ac_help
111  --with-pcxtopnm=PATH    path/name of the pcxtopnm executable"
112ac_help="$ac_help
113  --with-sgitopnm=PATH    path/name of the sgitopnm executable"
114ac_help="$ac_help
115  --with-xbmtopbm=PATH    path/name of the xbmtopbm executable"
116ac_help="$ac_help
117  --with-xwdtopnm=PATH    path/name of the xwdtopnm executable"
118ac_help="$ac_help
119  --with-ppmtojpeg=PATH    path/name of the ppmtojpeg executable"
120ac_help="$ac_help
121  --with-giftool=PATH     path/name of the giftool executable"
122ac_help="$ac_help
123  --with-giftrans=PATH    path/name of the giftrans executable"
124
125# Initialize some variables set by options.
126# The variables have the same names as the options, with
127# dashes changed to underlines.
128build=NONE
129cache_file=./config.cache
130exec_prefix=NONE
131host=NONE
132no_create=
133nonopt=NONE
134no_recursion=
135prefix=NONE
136program_prefix=NONE
137program_suffix=NONE
138program_transform_name=s,x,x,
139silent=
140site=
141srcdir=
142target=NONE
143verbose=
144x_includes=NONE
145x_libraries=NONE
146bindir='${exec_prefix}/bin'
147sbindir='${exec_prefix}/sbin'
148libexecdir='${exec_prefix}/libexec'
149datadir='${prefix}/share'
150sysconfdir='${prefix}/etc'
151sharedstatedir='${prefix}/com'
152localstatedir='${prefix}/var'
153libdir='${exec_prefix}/lib'
154shlibdir='${exec_prefix}/share/lib'
155includedir='${prefix}/include'
156oldincludedir='/usr/include'
157infodir='${prefix}/info'
158mandir='${prefix}/man'
159
160# Initialize some other variables.
161subdirs=
162MFLAGS= MAKEFLAGS=
163SHELL=${CONFIG_SHELL-/bin/sh}
164# Maximum number of lines to put in a shell here document.
165ac_max_here_lines=12
166
167ac_prev=
168for ac_option
169do
170
171  # If the previous option needs an argument, assign it.
172  if test -n "$ac_prev"; then
173    eval "$ac_prev=\$ac_option"
174    ac_prev=
175    continue
176  fi
177
178  case "$ac_option" in
179  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
180  *) ac_optarg= ;;
181  esac
182
183  # Accept the important Cygnus configure options, so we can diagnose typos.
184
185  case "$ac_option" in
186
187  -bindir | --bindir | --bindi | --bind | --bin | --bi)
188    ac_prev=bindir ;;
189  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
190    bindir="$ac_optarg" ;;
191
192  -build | --build | --buil | --bui | --bu)
193    ac_prev=build ;;
194  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
195    build="$ac_optarg" ;;
196
197  -cache-file | --cache-file | --cache-fil | --cache-fi \
198  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
199    ac_prev=cache_file ;;
200  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
201  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
202    cache_file="$ac_optarg" ;;
203
204  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
205    ac_prev=datadir ;;
206  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
207  | --da=*)
208    datadir="$ac_optarg" ;;
209
210  -disable-* | --disable-*)
211    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
212    # Reject names that are not valid shell variable names.
213    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
214      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
215    fi
216    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
217    eval "enable_${ac_feature}=no" ;;
218
219  -enable-* | --enable-*)
220    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
221    # Reject names that are not valid shell variable names.
222    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
223      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
224    fi
225    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
226    case "$ac_option" in
227      *=*) ;;
228      *) ac_optarg=yes ;;
229    esac
230    eval "enable_${ac_feature}='$ac_optarg'" ;;
231
232  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
233  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
234  | --exec | --exe | --ex)
235    ac_prev=exec_prefix ;;
236  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
237  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
238  | --exec=* | --exe=* | --ex=*)
239    exec_prefix="$ac_optarg" ;;
240
241  -gas | --gas | --ga | --g)
242    # Obsolete; use --with-gas.
243    with_gas=yes ;;
244
245  -help | --help | --hel | --he)
246    # Omit some internal or obsolete options to make the list less imposing.
247    # This message is too long to be a string in the A/UX 3.1 sh.
248    cat << EOF
249Usage: configure [options] [host]
250Options: [defaults in brackets after descriptions]
251Configuration:
252  --cache-file=FILE       cache test results in FILE
253  --help                  print this message
254  --no-create             do not create output files
255  --quiet, --silent       do not print \`checking...' messages
256  --version               print the version of autoconf that created configure
257Directory and file names:
258  --prefix=PREFIX         install architecture-independent files in PREFIX
259                          [$ac_default_prefix]
260  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
261                          [same as prefix]
262  --bindir=DIR            user executables in DIR [EPREFIX/bin]
263  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
264  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
265  --datadir=DIR           read-only architecture-independent data in DIR
266                          [PREFIX/share]
267  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
268  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
269                          [PREFIX/com]
270  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
271  --shlibdir=DIR          shared code libraries in DIR [EPREFIX/share/lib]
272  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
273  --includedir=DIR        C header files in DIR [PREFIX/include]
274  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
275  --infodir=DIR           info documentation in DIR [PREFIX/info]
276  --mandir=DIR            man documentation in DIR [PREFIX/man]
277  --srcdir=DIR            find the sources in DIR [configure dir or ..]
278  --program-prefix=PREFIX prepend PREFIX to installed program names
279  --program-suffix=SUFFIX append SUFFIX to installed program names
280  --program-transform-name=PROGRAM
281                          run sed PROGRAM on installed program names
282EOF
283    cat << EOF
284Host type:
285  --build=BUILD           configure for building on BUILD [BUILD=HOST]
286  --host=HOST             configure for HOST [guessed]
287  --target=TARGET         configure for TARGET [TARGET=HOST]
288Features and packages:
289  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
290  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
291  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
292  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
293  --x-includes=DIR        X include files are in DIR
294  --x-libraries=DIR       X library files are in DIR
295EOF
296    if test -n "$ac_help"; then
297      echo "--enable and --with options recognized:$ac_help"
298    fi
299    exit 0 ;;
300
301  -host | --host | --hos | --ho)
302    ac_prev=host ;;
303  -host=* | --host=* | --hos=* | --ho=*)
304    host="$ac_optarg" ;;
305
306  -includedir | --includedir | --includedi | --included | --include \
307  | --includ | --inclu | --incl | --inc)
308    ac_prev=includedir ;;
309  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
310  | --includ=* | --inclu=* | --incl=* | --inc=*)
311    includedir="$ac_optarg" ;;
312
313  -infodir | --infodir | --infodi | --infod | --info | --inf)
314    ac_prev=infodir ;;
315  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
316    infodir="$ac_optarg" ;;
317
318  -shlibdir | --shlibdir | --shlibdi | --shlibd)
319    ac_prev=shlibdir ;;
320  -shlibdir=* | --shlibdir=* | --shlibdi=* | --shlibd=*)
321    shlibdir="$ac_optarg" ;;
322
323  -libdir | --libdir | --libdi | --libd)
324    ac_prev=libdir ;;
325  -libdir=* | --libdir=* | --libdi=* | --libd=*)
326    libdir="$ac_optarg" ;;
327
328  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
329  | --libexe | --libex | --libe)
330    ac_prev=libexecdir ;;
331  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
332  | --libexe=* | --libex=* | --libe=*)
333    libexecdir="$ac_optarg" ;;
334
335  -localstatedir | --localstatedir | --localstatedi | --localstated \
336  | --localstate | --localstat | --localsta | --localst \
337  | --locals | --local | --loca | --loc | --lo)
338    ac_prev=localstatedir ;;
339  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
340  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
341  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
342    localstatedir="$ac_optarg" ;;
343
344  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
345    ac_prev=mandir ;;
346  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
347    mandir="$ac_optarg" ;;
348
349  -nfp | --nfp | --nf)
350    # Obsolete; use --without-fp.
351    with_fp=no ;;
352
353  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
354  | --no-cr | --no-c)
355    no_create=yes ;;
356
357  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
358  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
359    no_recursion=yes ;;
360
361  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
362  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
363  | --oldin | --oldi | --old | --ol | --o)
364    ac_prev=oldincludedir ;;
365  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
366  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
367  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
368    oldincludedir="$ac_optarg" ;;
369
370  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
371    ac_prev=prefix ;;
372  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
373    prefix="$ac_optarg" ;;
374
375  -program-prefix | --program-prefix | --program-prefi | --program-pref \
376  | --program-pre | --program-pr | --program-p)
377    ac_prev=program_prefix ;;
378  -program-prefix=* | --program-prefix=* | --program-prefi=* \
379  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
380    program_prefix="$ac_optarg" ;;
381
382  -program-suffix | --program-suffix | --program-suffi | --program-suff \
383  | --program-suf | --program-su | --program-s)
384    ac_prev=program_suffix ;;
385  -program-suffix=* | --program-suffix=* | --program-suffi=* \
386  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
387    program_suffix="$ac_optarg" ;;
388
389  -program-transform-name | --program-transform-name \
390  | --program-transform-nam | --program-transform-na \
391  | --program-transform-n | --program-transform- \
392  | --program-transform | --program-transfor \
393  | --program-transfo | --program-transf \
394  | --program-trans | --program-tran \
395  | --progr-tra | --program-tr | --program-t)
396    ac_prev=program_transform_name ;;
397  -program-transform-name=* | --program-transform-name=* \
398  | --program-transform-nam=* | --program-transform-na=* \
399  | --program-transform-n=* | --program-transform-=* \
400  | --program-transform=* | --program-transfor=* \
401  | --program-transfo=* | --program-transf=* \
402  | --program-trans=* | --program-tran=* \
403  | --progr-tra=* | --program-tr=* | --program-t=*)
404    program_transform_name="$ac_optarg" ;;
405
406  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
407  | -silent | --silent | --silen | --sile | --sil)
408    silent=yes ;;
409
410  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
411    ac_prev=sbindir ;;
412  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
413  | --sbi=* | --sb=*)
414    sbindir="$ac_optarg" ;;
415
416  -sharedstatedir | --sharedstatedir | --sharedstatedi \
417  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
418  | --sharedst | --shareds | --shared | --share | --shar \
419  | --sha | --sh)
420    ac_prev=sharedstatedir ;;
421  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
422  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
423  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
424  | --sha=* | --sh=*)
425    sharedstatedir="$ac_optarg" ;;
426
427  -site | --site | --sit)
428    ac_prev=site ;;
429  -site=* | --site=* | --sit=*)
430    site="$ac_optarg" ;;
431
432  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
433    ac_prev=srcdir ;;
434  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
435    srcdir="$ac_optarg" ;;
436
437  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
438  | --syscon | --sysco | --sysc | --sys | --sy)
439    ac_prev=sysconfdir ;;
440  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
441  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
442    sysconfdir="$ac_optarg" ;;
443
444  -target | --target | --targe | --targ | --tar | --ta | --t)
445    ac_prev=target ;;
446  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
447    target="$ac_optarg" ;;
448
449  -v | -verbose | --verbose | --verbos | --verbo | --verb)
450    verbose=yes ;;
451
452  -version | --version | --versio | --versi | --vers)
453    echo "configure generated by autoconf version 2.13"
454    exit 0 ;;
455
456  -with-* | --with-*)
457    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
458    # Reject names that are not valid shell variable names.
459    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
460      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
461    fi
462    ac_package=`echo $ac_package| sed 's/-/_/g'`
463    case "$ac_option" in
464      *=*) ;;
465      *) ac_optarg=yes ;;
466    esac
467    eval "with_${ac_package}='$ac_optarg'" ;;
468
469  -without-* | --without-*)
470    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
471    # Reject names that are not valid shell variable names.
472    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
473      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
474    fi
475    ac_package=`echo $ac_package| sed 's/-/_/g'`
476    eval "with_${ac_package}=no" ;;
477
478  --x)
479    # Obsolete; use --with-x.
480    with_x=yes ;;
481
482  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
483  | --x-incl | --x-inc | --x-in | --x-i)
484    ac_prev=x_includes ;;
485  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
486  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
487    x_includes="$ac_optarg" ;;
488
489  -x-libraries | --x-libraries | --x-librarie | --x-librari \
490  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
491    ac_prev=x_libraries ;;
492  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
493  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
494    x_libraries="$ac_optarg" ;;
495
496  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
497    ;;
498
499  *)
500    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
501      echo "configure: warning: $ac_option: invalid host type" 1>&2
502    fi
503    if test "x$nonopt" != xNONE; then
504      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
505    fi
506    nonopt="$ac_option"
507    ;;
508
509  esac
510done
511
512if test -n "$ac_prev"; then
513  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
514fi
515
516trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
517
518# File descriptor usage:
519# 0 standard input
520# 1 file creation
521# 2 errors and warnings
522# 3 some systems may open it to /dev/tty
523# 4 used on the Kubota Titan
524# 6 checking for... messages and results
525# 5 compiler messages saved in config.log
526if test "$silent" = yes; then
527  exec 6>/dev/null
528else
529  exec 6>&1
530fi
531exec 5>./config.log
532
533echo "\
534This file contains any messages produced by compilers while
535running configure, to aid debugging if configure makes a mistake.
536" 1>&5
537
538# Strip out --no-create and --no-recursion so they do not pile up.
539# Also quote any args containing shell metacharacters.
540ac_configure_args=
541for ac_arg
542do
543  case "$ac_arg" in
544  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
545  | --no-cr | --no-c) ;;
546  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
547  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
548  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
549  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
550  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
551  esac
552done
553
554# NLS nuisances.
555# Only set these to C if already set.  These must not be set unconditionally
556# because not all systems understand e.g. LANG=C (notably SCO).
557# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
558# Non-C LC_CTYPE values break the ctype check.
559if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
560if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
561if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
562if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
563
564# confdefs.h avoids OS command line length limits that DEFS can exceed.
565rm -rf conftest* confdefs.h
566# AIX cpp loses on an empty file, so make sure it contains at least a newline.
567echo > confdefs.h
568
569# A filename unique to this package, relative to the directory that
570# configure is in, which we can look for to find out if srcdir is correct.
571ac_unique_file=latex2html.pin
572
573# Find the source files, if location was not specified.
574if test -z "$srcdir"; then
575  ac_srcdir_defaulted=yes
576  # Try the directory containing this script, then its parent.
577  ac_prog=$0
578  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
579  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
580  srcdir=$ac_confdir
581  if test ! -r $srcdir/$ac_unique_file; then
582    srcdir=..
583  fi
584else
585  ac_srcdir_defaulted=no
586fi
587if test ! -r $srcdir/$ac_unique_file; then
588  if test "$ac_srcdir_defaulted" = yes; then
589    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
590  else
591    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
592  fi
593fi
594srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
595
596# Prefer explicitly selected file to automatically selected ones.
597if test -z "$CONFIG_SITE"; then
598  if test "x$prefix" != xNONE; then
599    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
600  else
601    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
602  fi
603fi
604for ac_site_file in $CONFIG_SITE; do
605  if test -r "$ac_site_file"; then
606    echo "loading site script $ac_site_file"
607    . "$ac_site_file"
608  fi
609done
610
611if test -r "$cache_file"; then
612  echo "loading cache $cache_file"
613  . $cache_file
614else
615  echo "creating cache $cache_file"
616  > $cache_file
617fi
618
619ac_ext=c
620# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
621ac_cpp='$CPP $CPPFLAGS'
622ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
623ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
624cross_compiling=$ac_cv_prog_cc_cross
625
626ac_exeext=
627ac_objext=o
628if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
629  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
630  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
631    ac_n= ac_c='
632' ac_t='	'
633  else
634    ac_n=-n ac_c= ac_t=
635  fi
636else
637  ac_n= ac_c='\c' ac_t=
638fi
639
640
641
642# Check whether --with-perl or --without-perl was given.
643if test "${with_perl+set}" = set; then
644  withval="$with_perl"
645  PERL=$withval
646else
647  PERL=${PERL:-}
648fi
649
650# Check whether --with-oldconfig or --without-oldconfig was given.
651if test "${with_oldconfig+set}" = set; then
652  withval="$with_oldconfig"
653  :
654else
655  with_oldconfig=${OLDCONFIG:-}
656fi
657
658# Check whether --with-extrapath or --without-extrapath was given.
659if test "${with_extrapath+set}" = set; then
660  withval="$with_extrapath"
661  :
662else
663  with_extrapath=${EXTRAPATH:-}
664fi
665
666# Check whether --with-gsdevice or --without-gsdevice was given.
667if test "${with_gsdevice+set}" = set; then
668  withval="$with_gsdevice"
669  :
670else
671  with_gsdevice=${GSDEVICE:-}
672fi
673
674# Check whether --with-gsalias or --without-gsalias was given.
675if test "${with_gsalias+set}" = set; then
676  withval="$with_gsalias"
677  :
678else
679  with_gsalias=${GSALIASDEVICE:-}
680fi
681
682# Check whether --with-iconpath or --without-iconpath was given.
683if test "${with_iconpath+set}" = set; then
684  withval="$with_iconpath"
685  :
686else
687  with_iconpath=${ICONPATH:-}
688fi
689
690# Check whether --with-iconstorage or --without-iconstorage was given.
691if test "${with_iconstorage+set}" = set; then
692  withval="$with_iconstorage"
693  :
694else
695  with_iconstorage=${ICONSTORAGE:-}
696fi
697
698# Check whether --with-texpath or --without-texpath was given.
699if test "${with_texpath+set}" = set; then
700  withval="$with_texpath"
701  :
702else
703  with_texpath=${TEXPATH:-}
704fi
705
706# Check whether --with-rgb or --without-rgb was given.
707if test "${with_rgb+set}" = set; then
708  withval="$with_rgb"
709  :
710else
711  with_rgb=${RGB:-}
712fi
713
714# Check whether --with-crayola or --without-crayola was given.
715if test "${with_crayola+set}" = set; then
716  withval="$with_crayola"
717  :
718else
719  with_crayola=${CRAYOLA:-}
720fi
721
722# Check whether --enable-images or --disable-images was given.
723if test "${enable_images+set}" = set; then
724  enableval="$enable_images"
725  :
726else
727  enable_images=''
728fi
729
730# Check whether --enable-pk or --disable-pk was given.
731if test "${enable_pk+set}" = set; then
732  enableval="$enable_pk"
733  :
734else
735  enable_pk=''
736fi
737
738# Check whether --with-metamode or --without-metamode was given.
739if test "${with_metamode+set}" = set; then
740  withval="$with_metamode"
741  :
742else
743  with_metamode=${METAMODE:-}
744fi
745
746# Check whether --with-metadpi or --without-metadpi was given.
747if test "${with_metadpi+set}" = set; then
748  withval="$with_metadpi"
749  :
750else
751  with_metadpi=${METADPI:-}
752fi
753
754# Check whether --enable-eps or --disable-eps was given.
755if test "${enable_eps+set}" = set; then
756  enableval="$enable_eps"
757  :
758else
759  enable_eps=''
760fi
761
762# Check whether --enable-reverse or --disable-reverse was given.
763if test "${enable_reverse+set}" = set; then
764  enableval="$enable_reverse"
765  :
766else
767  enable_reverse=''
768fi
769
770# Check whether --enable-gif or --disable-gif was given.
771if test "${enable_gif+set}" = set; then
772  enableval="$enable_gif"
773  :
774else
775  enable_gif=''
776fi
777
778# Check whether --enable-png or --disable-png was given.
779if test "${enable_png+set}" = set; then
780  enableval="$enable_png"
781  :
782else
783  enable_png=''
784fi
785
786# Check whether --enable-pipes or --disable-pipes was given.
787if test "${enable_pipes+set}" = set; then
788  enableval="$enable_pipes"
789  :
790else
791  enable_pipes=''
792fi
793
794# Check whether --enable-paths or --disable-paths was given.
795if test "${enable_paths+set}" = set; then
796  enableval="$enable_paths"
797  :
798else
799  enable_paths=''
800fi
801
802# Check whether --enable-wrapper or --disable-wrapper was given.
803if test "${enable_wrapper+set}" = set; then
804  enableval="$enable_wrapper"
805  :
806else
807  enable_wrapper=''
808fi
809
810# Check whether --enable-texlive or --disable-texlive was given.
811if test "${enable_texlive+set}" = set; then
812  enableval="$enable_texlive"
813  :
814else
815  enable_texlive=''
816fi
817
818
819# Check whether --with-gs or --without-gs was given.
820if test "${with_gs+set}" = set; then
821  withval="$with_gs"
822  :
823else
824  with_gs=${GS:-}
825fi
826
827# Check whether --with-dvips or --without-dvips was given.
828if test "${with_dvips+set}" = set; then
829  withval="$with_dvips"
830  :
831else
832  with_dvips=${DVIPS:-}
833fi
834
835# Check whether --with-latex or --without-latex was given.
836if test "${with_latex+set}" = set; then
837  withval="$with_latex"
838  :
839else
840  with_latex=${LATEX:-}
841fi
842
843# Check whether --with-pnmcrop or --without-pnmcrop was given.
844if test "${with_pnmcrop+set}" = set; then
845  withval="$with_pnmcrop"
846  :
847else
848  with_latex=${PNMCROP:-}
849fi
850
851# Check whether --with-tex or --without-tex was given.
852if test "${with_tex+set}" = set; then
853  withval="$with_tex"
854  :
855else
856  with_tex=${TEX:-}
857fi
858
859# Check whether --with-initex or --without-initex was given.
860if test "${with_initex+set}" = set; then
861  withval="$with_initex"
862  :
863else
864  with_initex=${INITEX:-}
865fi
866
867# Check whether --with-kpsewhich or --without-kpsewhich was given.
868if test "${with_kpsewhich+set}" = set; then
869  withval="$with_kpsewhich"
870  :
871else
872  with_kpsewhich=${KPSEWHICH:-}
873fi
874
875# Check whether --with-mktexlsr or --without-mktexlsr was given.
876if test "${with_mktexlsr+set}" = set; then
877  withval="$with_mktexlsr"
878  :
879else
880  with_mktexlsr=${MKTEXLSR:-}
881fi
882
883# Check whether --with-validator or --without-validator was given.
884if test "${with_validator+set}" = set; then
885  withval="$with_validator"
886  :
887else
888  with_validator=${HTML_VALIDATOR:-}
889fi
890
891# Check whether --with-pnmflip or --without-pnmflip was given.
892if test "${with_pnmflip+set}" = set; then
893  withval="$with_pnmflip"
894  :
895else
896  with_pnmflip=${PNMFLIP:-}
897fi
898
899# Check whether --with-ppmquant or --without-ppmquant was given.
900if test "${with_ppmquant+set}" = set; then
901  withval="$with_ppmquant"
902  :
903else
904  with_ppmquant=${PPMQUANT:-}
905fi
906
907# Check whether --with-pnmfile or --without-pnmfile was given.
908if test "${with_pnmfile+set}" = set; then
909  withval="$with_pnmfile"
910  :
911else
912  with_pnmfile=${PNMFILE:-}
913fi
914
915# Check whether --with-pnmcat or --without-pnmcat was given.
916if test "${with_pnmcat+set}" = set; then
917  withval="$with_pnmcat"
918  :
919else
920  with_pnmcat=${PNMCAT:-}
921fi
922
923# Check whether --with-pnmcut or --without-pnmcut was given.
924if test "${with_pnmcut+set}" = set; then
925  withval="$with_pnmcut"
926  :
927else
928  with_pnmcut=${PNMCUT:-}
929fi
930
931# Check whether --with-pnmpad or --without-pnmpad was given.
932if test "${with_pnmpad+set}" = set; then
933  withval="$with_pnmpad"
934  :
935else
936  with_pnmpad=${PNMPAD:-}
937fi
938
939# Check whether --with-pnmscale or --without-pnmscale was given.
940if test "${with_pnmscale+set}" = set; then
941  withval="$with_pnmscale"
942  :
943else
944  with_pnmscale=${PNMSCALE:-}
945fi
946
947# Check whether --with-pnmrotate or --without-pnmrotate was given.
948if test "${with_pnmrotate+set}" = set; then
949  withval="$with_pnmrotate"
950  :
951else
952  with_pnmrotate=${PNMROTATE:-}
953fi
954
955# Check whether --with-pbmmake or --without-pbmmake was given.
956if test "${with_pbmmake+set}" = set; then
957  withval="$with_pbmmake"
958  :
959else
960  with_pbmmake=${PBMMAKE:-}
961fi
962
963# Check whether --with-ppmtogif or --without-ppmtogif was given.
964if test "${with_ppmtogif+set}" = set; then
965  withval="$with_ppmtogif"
966  :
967else
968  with_ppmtogif=${PPMTOGIF:-}
969fi
970
971# Check whether --with-pnmtopng or --without-pnmtopng was given.
972if test "${with_pnmtopng+set}" = set; then
973  withval="$with_pnmtopng"
974  :
975else
976  with_pnmtopng=${PNMTOPNG:-}
977fi
978
979# Check whether --with-tifftopnm or --without-tifftopnm was given.
980if test "${with_tifftopnm+set}" = set; then
981  withval="$with_tifftopnm"
982  :
983else
984  with_tifftopnm=${TIFFTOPNM:-}
985fi
986
987# Check whether --with-picttoppm or --without-picttoppm was given.
988if test "${with_picttoppm+set}" = set; then
989  withval="$with_picttoppm"
990  :
991else
992  with_picttoppm=${PICTTOPPM:-}
993fi
994
995# Check whether --with-anytopnm or --without-anytopnm was given.
996if test "${with_anytopnm+set}" = set; then
997  withval="$with_anytopnm"
998  :
999else
1000  with_anytopnm=${ANYTOPNM:-}
1001fi
1002
1003# Check whether --with-bmptopnm or --without-bmptopnm was given.
1004if test "${with_bmptopnm+set}" = set; then
1005  withval="$with_bmptopnm"
1006  :
1007else
1008  with_bmptopnm=${BMPTOPNM:-}
1009fi
1010
1011# Check whether --with-pcxtopnm or --without-pcxtopnm was given.
1012if test "${with_pcxtopnm+set}" = set; then
1013  withval="$with_pcxtopnm"
1014  :
1015else
1016  with_pcxtopnm=${PCXTOPNM:-}
1017fi
1018
1019# Check whether --with-sgitopnm or --without-sgitopnm was given.
1020if test "${with_sgitopnm+set}" = set; then
1021  withval="$with_sgitopnm"
1022  :
1023else
1024  with_sgitopnm=${SGITOPNM:-}
1025fi
1026
1027# Check whether --with-xbmtopbm or --without-xbmtopbm was given.
1028if test "${with_xbmtopbm+set}" = set; then
1029  withval="$with_xbmtopbm"
1030  :
1031else
1032  with_xbmtopbm=${XBMTOPBM:-}
1033fi
1034
1035# Check whether --with-xwdtopnm or --without-xwdtopnm was given.
1036if test "${with_xwdtopnm+set}" = set; then
1037  withval="$with_xwdtopnm"
1038  :
1039else
1040  with_xwdtopnm=${XWDTOPNM:-}
1041fi
1042
1043# Check whether --with-ppmtojpeg or --without-ppmtojpeg was given.
1044if test "${with_ppmtojpeg+set}" = set; then
1045  withval="$with_ppmtojpeg"
1046  :
1047else
1048  with_ppmtojpeg=${PPMTOJPEG:-}
1049fi
1050
1051# Check whether --with-giftool or --without-giftool was given.
1052if test "${with_giftool+set}" = set; then
1053  withval="$with_giftool"
1054  :
1055else
1056  with_giftool=${GIFTOOL:-}
1057fi
1058
1059# Check whether --with-giftrans or --without-giftrans was given.
1060if test "${with_giftrans+set}" = set; then
1061  withval="$with_giftrans"
1062  :
1063else
1064  with_giftrans=${GIFTRANS:-}
1065fi
1066
1067
1068
1069if test -n "$PERL"; then
1070  if echo "$PERL" | grep '^/' >/dev/null; then
1071    echo $ac_n "checking for $PERL""... $ac_c" 1>&6
1072echo "configure:936: checking for $PERL" >&5
1073    if test -s "$PERL"; then
1074      echo "$ac_t""yes" 1>&6
1075    else
1076      echo "$ac_t""no" 1>&6
1077      PERL='none'
1078    fi
1079  else
1080    find_perl="$PERL"
1081    PERL=''
1082  fi
1083else
1084  find_perl="perl perl5"
1085fi
1086if test -z "$PERL"; then
1087  for ac_prog in $find_perl
1088do
1089# Extract the first word of "$ac_prog", so it can be a program name with args.
1090set dummy $ac_prog; ac_word=$2
1091echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1092echo "configure:956: checking for $ac_word" >&5
1093if eval "test \"`echo '$''{'ac_cv_path_PERL'+set}'`\" = set"; then
1094  echo $ac_n "(cached) $ac_c" 1>&6
1095else
1096  case "$PERL" in
1097  /*)
1098  ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
1099  ;;
1100  ?:/*)
1101  ac_cv_path_PERL="$PERL" # Let the user override the test with a dos path.
1102  ;;
1103  *)
1104  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
1105  ac_dummy="$PATH"
1106  for ac_dir in $ac_dummy; do
1107    test -z "$ac_dir" && ac_dir=.
1108    if test -f $ac_dir/$ac_word; then
1109      ac_cv_path_PERL="$ac_dir/$ac_word"
1110      break
1111    fi
1112  done
1113  IFS="$ac_save_ifs"
1114  ;;
1115esac
1116fi
1117PERL="$ac_cv_path_PERL"
1118if test -n "$PERL"; then
1119  echo "$ac_t""$PERL" 1>&6
1120else
1121  echo "$ac_t""no" 1>&6
1122fi
1123
1124test -n "$PERL" && break
1125done
1126test -n "$PERL" || PERL="none"
1127
1128fi
1129if test "$PERL" = 'none'; then
1130  { echo "configure: error: perl not found. LaTeX2HTML *needs* perl 5.00305 or higher." 1>&2; exit 1; }
1131fi
1132
1133
1134# Pull the hash mark out of the macro call to avoid m4 problems.
1135ac_msg="whether #! works in shell scripts"
1136echo $ac_n "checking $ac_msg""... $ac_c" 1>&6
1137echo "configure:1001: checking $ac_msg" >&5
1138if eval "test \"`echo '$''{'ac_cv_sys_interpreter'+set}'`\" = set"; then
1139  echo $ac_n "(cached) $ac_c" 1>&6
1140else
1141  echo '#! /bin/cat
1142exit 69
1143' > conftest
1144chmod u+x conftest
1145(SHELL=/bin/sh; export SHELL; ./conftest >/dev/null)
1146if test $? -ne 69; then
1147   ac_cv_sys_interpreter=yes
1148else
1149   ac_cv_sys_interpreter=no
1150fi
1151rm -f conftest
1152fi
1153
1154echo "$ac_t""$ac_cv_sys_interpreter" 1>&6
1155interpval="$ac_cv_sys_interpreter"
1156
1157
1158
1159echo "launching proprietary configuration..."
1160
1161$PERL $srcdir/config/config.pl \
1162  HASHBANG=$ac_cv_sys_interpreter \
1163  OLDCONFIG=$with_oldconfig \
1164  EXTRAPATH=$with_extrapath \
1165  GSDEVICE=$with_gsdevice \
1166  GSALIASDEVICE=$with_gsalias \
1167  ICONPATH=$with_iconpath \
1168  ICONSTORAGE=$with_iconstorage \
1169  TEXPATH=$with_texpath \
1170  RGB=$with_rgb \
1171  CRAYOLA=$with_crayola \
1172  IMAGES=$enable_images \
1173  PK=$enable_pk \
1174  METAMODE=$with_metamode \
1175  METADPI=$with_metadpi \
1176  EPS=$enable_eps \
1177  REVERSE=$enable_reverse \
1178  GIF=$enable_gif \
1179  PNG=$enable_png \
1180  PIPES=$enable_pipes \
1181  ABSPATHS=$enable_paths \
1182  PREFIX=$prefix \
1183  BINDIR=$bindir \
1184  LIBDIR=$libdir \
1185  SHLIBDIR=$shlibdir \
1186  WRAPPER=$enable_wrapper \
1187  TEXLIVE=$enable_texlive \
1188  GS=$with_gs \
1189  DVIPS=$with_dvips \
1190  LATEX=$with_latex \
1191  PNMCROP=$with_latex \
1192  TEX=$with_tex \
1193  INITEX=$with_initex \
1194  KPSEWHICH=$with_kpsewhich \
1195  MKTEXLSR=$with_mktexlsr \
1196  HTML_VALIDATOR=$with_validator \
1197  PNMFLIP=$with_pnmflip \
1198  PPMQUANT=$with_ppmquant \
1199  PNMFILE=$with_pnmfile \
1200  PNMCAT=$with_pnmcat \
1201  PNMCUT=$with_pnmcut \
1202  PNMPAD=$with_pnmpad \
1203  PNMROTATE=$with_pnmrotate \
1204  PNMSCALE=$with_pnmscale \
1205  PBMMAKE=$with_pbmmake \
1206  PPMTOGIF=$with_ppmtogif \
1207  PNMTOPNG=$with_pnmtopng \
1208  GIFTOPNM=$with_giftopnm \
1209  JPEGTOPNM=$with_jpegtopnm \
1210  PNGTOPNM=$with_pngtopnm \
1211  TIFFTOPNM=$with_tifftopnm \
1212  PICTTOPPM=$with_picttoppm \
1213  ANYTOPNM=$with_anytopnm \
1214  BMPTOPPM=$with_bmptoppm \
1215  PCXTOPNM=$with_pcxtopnm \
1216  SGITOPNM=$with_sgitopnm \
1217  XBMTOPBM=$with_xbmtopbm \
1218  XWDTOPNM=$with_xwdtopnm \
1219  PPMTOJPEG=$with_ppmtojpeg \
1220  GIFTOOL=$with_giftool \
1221  GIFTRANS=$with_giftrans
1222
1223if test "$?" != "0"; then
1224    echo "pfouit\n" ;
1225    exit 1
1226fi
1227
1228# this is used to get the values from the config file
1229eval `perl -w -e 'use cfgcache; foreach(keys %cfg) { print qq($_='"'"'$cfg{$_}'"'"'\n);}'`
1230
1231
1232
1233
1234trap '' 1 2 15
1235cat > confcache <<\EOF
1236# This file is a shell script that caches the results of configure
1237# tests run on this system so they can be shared between configure
1238# scripts and configure runs.  It is not useful on other systems.
1239# If it contains results you don't want to keep, you may remove or edit it.
1240#
1241# By default, configure uses ./config.cache as the cache file,
1242# creating it if it does not exist already.  You can give configure
1243# the --cache-file=FILE option to use a different cache file; that is
1244# what configure does when it calls configure scripts in
1245# subdirectories, so they share the cache.
1246# Giving --cache-file=/dev/null disables caching, for debugging configure.
1247# config.status only pays attention to the cache file if you give it the
1248# --recheck option to rerun configure.
1249#
1250EOF
1251# The following way of writing the cache mishandles newlines in values,
1252# but we know of no workaround that is simple, portable, and efficient.
1253# So, don't put newlines in cache variables' values.
1254# Ultrix sh set writes to stderr and can't be redirected directly,
1255# and sets the high bit in the cache file unless we assign to the vars.
1256(set) 2>&1 |
1257  case `(ac_space=' '; set | grep ac_space) 2>&1` in
1258  *ac_space=\ *)
1259    # `set' does not quote correctly, so add quotes (double-quote substitution
1260    # turns \\\\ into \\, and sed turns \\ into \).
1261    sed -n \
1262      -e "s/'/'\\\\''/g" \
1263      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1264    ;;
1265  *)
1266    # `set' quotes correctly as required by POSIX, so do not add quotes.
1267    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1268    ;;
1269  esac >> confcache
1270if cmp -s $cache_file confcache; then
1271  :
1272else
1273  if test -w $cache_file; then
1274    echo "updating cache $cache_file"
1275    cat confcache > $cache_file
1276  else
1277    echo "not updating unwritable cache $cache_file"
1278  fi
1279fi
1280rm -f confcache
1281
1282trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1283
1284test "x$prefix" = xNONE && prefix=$ac_default_prefix
1285# Let make expand exec_prefix.
1286test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1287
1288# Any assignment to VPATH causes Sun make to only execute
1289# the first set of double-colon rules, so remove it if not needed.
1290# If there is a colon in the path, we need to keep it.
1291if test "x$srcdir" = x.; then
1292  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
1293fi
1294
1295trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1296
1297# Transform confdefs.h into DEFS.
1298# Protect against shell expansion while executing Makefile rules.
1299# Protect against Makefile macro expansion.
1300cat > conftest.defs <<\EOF
1301s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1302s%[ 	`~#$^&*(){}\\|;'"<>?]%\\&%g
1303s%\[%\\&%g
1304s%\]%\\&%g
1305s%\$%$$%g
1306EOF
1307DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1308rm -f conftest.defs
1309
1310
1311# Without the "./", some shells look in PATH for config.status.
1312: ${CONFIG_STATUS=./config.status}
1313
1314echo creating $CONFIG_STATUS
1315rm -f $CONFIG_STATUS
1316cat > $CONFIG_STATUS <<EOF
1317#! /bin/sh
1318# Generated automatically by configure.
1319# Run this file to recreate the current configuration.
1320# This directory was configured as follows,
1321# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1322#
1323# $0 $ac_configure_args
1324#
1325# Compiler output produced by configure, useful for debugging
1326# configure, is in ./config.log if it exists.
1327
1328ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1329for ac_option
1330do
1331  case "\$ac_option" in
1332  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1333    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1334    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1335  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1336    echo "$CONFIG_STATUS generated by autoconf version 2.13"
1337    exit 0 ;;
1338  -help | --help | --hel | --he | --h)
1339    echo "\$ac_cs_usage"; exit 0 ;;
1340  *) echo "\$ac_cs_usage"; exit 1 ;;
1341  esac
1342done
1343
1344ac_given_srcdir=$srcdir
1345
1346trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1347EOF
1348cat >> $CONFIG_STATUS <<EOF
1349
1350# Protect against being on the right side of a sed subst in config.status.
1351sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1352 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1353$ac_vpsub
1354$extrasub
1355s%@SHELL@%$SHELL%g
1356s%@CFLAGS@%$CFLAGS%g
1357s%@CPPFLAGS@%$CPPFLAGS%g
1358s%@CXXFLAGS@%$CXXFLAGS%g
1359s%@FFLAGS@%$FFLAGS%g
1360s%@DEFS@%$DEFS%g
1361s%@LDFLAGS@%$LDFLAGS%g
1362s%@LIBS@%$LIBS%g
1363s%@exec_prefix@%$exec_prefix%g
1364s%@prefix@%$prefix%g
1365s%@program_transform_name@%$program_transform_name%g
1366s%@bindir@%$bindir%g
1367s%@sbindir@%$sbindir%g
1368s%@libexecdir@%$libexecdir%g
1369s%@datadir@%$datadir%g
1370s%@sysconfdir@%$sysconfdir%g
1371s%@sharedstatedir@%$sharedstatedir%g
1372s%@localstatedir@%$localstatedir%g
1373s%@libdir@%$libdir%g
1374s%@shlibdir@%$shlibdir%g
1375s%@includedir@%$includedir%g
1376s%@oldincludedir@%$oldincludedir%g
1377s%@infodir@%$infodir%g
1378s%@mandir@%$mandir%g
1379s%@PERL@%$PERL%g
1380s%@plat@%$plat%g
1381s%@distver@%$distver%g
1382
1383CEOF
1384EOF
1385
1386cat >> $CONFIG_STATUS <<\EOF
1387
1388# Split the substitutions into bite-sized pieces for seds with
1389# small command number limits, like on Digital OSF/1 and HP-UX.
1390ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1391ac_file=1 # Number of current file.
1392ac_beg=1 # First line for current file.
1393ac_end=$ac_max_sed_cmds # Line after last line for current file.
1394ac_more_lines=:
1395ac_sed_cmds=""
1396while $ac_more_lines; do
1397  if test $ac_beg -gt 1; then
1398    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1399  else
1400    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1401  fi
1402  if test ! -s conftest.s$ac_file; then
1403    ac_more_lines=false
1404    rm -f conftest.s$ac_file
1405  else
1406    if test -z "$ac_sed_cmds"; then
1407      ac_sed_cmds="sed -f conftest.s$ac_file"
1408    else
1409      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1410    fi
1411    ac_file=`expr $ac_file + 1`
1412    ac_beg=$ac_end
1413    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1414  fi
1415done
1416if test -z "$ac_sed_cmds"; then
1417  ac_sed_cmds=cat
1418fi
1419EOF
1420
1421cat >> $CONFIG_STATUS <<EOF
1422
1423CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1424EOF
1425cat >> $CONFIG_STATUS <<\EOF
1426for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1427  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1428  case "$ac_file" in
1429  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1430       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1431  *) ac_file_in="${ac_file}.in" ;;
1432  esac
1433
1434  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1435
1436  # Remove last slash and all that follows it.  Not all systems have dirname.
1437  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1438  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1439    # The file is in a subdirectory.
1440    test ! -d "$ac_dir" && mkdir "$ac_dir"
1441    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1442    # A "../" for each directory in $ac_dir_suffix.
1443    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1444  else
1445    ac_dir_suffix= ac_dots=
1446  fi
1447
1448  case "$ac_given_srcdir" in
1449  .)  srcdir=.
1450      if test -z "$ac_dots"; then top_srcdir=.
1451      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1452  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1453  *) # Relative path.
1454    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1455    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1456  esac
1457
1458
1459  echo creating "$ac_file"
1460  rm -f "$ac_file"
1461  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1462  case "$ac_file" in
1463  *Makefile*) ac_comsub="1i\\
1464# $configure_input" ;;
1465  *) ac_comsub= ;;
1466  esac
1467
1468  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1469  sed -e "$ac_comsub
1470s%@configure_input@%$configure_input%g
1471s%@srcdir@%$srcdir%g
1472s%@top_srcdir@%$top_srcdir%g
1473" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1474fi; done
1475rm -f conftest.s*
1476
1477EOF
1478cat >> $CONFIG_STATUS <<EOF
1479
1480EOF
1481cat >> $CONFIG_STATUS <<\EOF
1482
1483exit 0
1484EOF
1485chmod +x $CONFIG_STATUS
1486rm -fr confdefs* $ac_clean_files
1487test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1488
1489
1490# This in a kludge. The cache confuses the results.
1491rm -f config.cache
1492echo
1493echo "If everything went well,  you may run 'make'"
1494
1495